Bug 137792 - unescaped RPM macros place wrong and confusing text into changelog
Summary: unescaped RPM macros place wrong and confusing text into changelog
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lsof   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-01 13:07 UTC by Moritz Barsnick
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 08:55:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Moritz Barsnick 2004-11-01 13:07:55 UTC
Description of problem:
In the SPEC file, there are unescaped RPM macros which are wrongly 
expanded to their values. Quite confusing, as with every new version 
of the package, they say something else. ;-)

Version-Release number of selected component (if applicable):
4.72-1

How reproducible:
always

Steps to Reproduce:
1. rpm -qp --changelog lsof-4.72-1.src.rpm | fgrep macros
2. tail +`fgrep -n %changelog lsof.spec | cut -d: -f1`  lsof.spec | 
fgrep '%{name}'

Actual results:
1. - Spec rewriten to use lsof and 4.72 macros
2. - Spec rewriten to use %{name} and %{version} macros

Expected results:
1. - Spec rewriten to use %{name} and %{version} macros
   or actually (slight typo)
   - Spec rewritten to use %{name} and %{version} macros
2. - Spec rewriten to use %%{name} and %%{version} macros
   or actually (slight typo)
   - Spec rewritten to use %%{name} and %%{version} macros

Additional info:

Comment 1 Karel Zak 2005-01-05 08:55:32 UTC
Fixed in devel branch (FC-4).


Note You need to log in before you can comment on or make changes to this bug.